Discover Government News



# Security update for sudo

Announcement ID: SUSE-SU-2024:0834-1  
Rating: important  
References:

  * bsc#1219026
  * bsc#1220389

  
Cross-References:

  * CVE-2023-42465

  
CVSS scores:

  * CVE-2023-42465 ( SUSE ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-42465 ( NVD ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

  
Affected Products:

  * openSUSE Leap 15.3
  * SUSE Enterprise Storage 7.1
  * SUSE Linux Enterprise High Performance Computing 15 SP3
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
  * SUSE Linux Enterprise Micro 5.1
  * SUSE Linux Enterprise Micro 5.2
  * SUSE Linux Enterprise Micro for Rancher 5.2
  * SUSE Linux Enterprise Server 15 SP3
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3

  
  
An update that solves one vulnerability and has one security fix can now be
installed.

## Description:

This update for sudo fixes the following issues:

  * CVE-2023-42465: Try to make sudo less vulnerable to ROWHAMMER attacks
    (bsc#1219026).

Fixed issues introduced by first patches for CVE-2023-42465 (bsc#1220389).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.3  
    zypper in -t patch SUSE-2024-834=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-834=1

  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-834=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP3  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-834=1

  * SUSE Enterprise Storage 7.1  
    zypper in -t patch SUSE-Storage-7.1-2024-834=1

  * SUSE Linux Enterprise Micro 5.1  
    zypper in -t patch SUSE-SUSE-MicroOS-5.1-2024-834=1

  * SUSE Linux Enterprise Micro 5.2  
    zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-834=1

  * SUSE Linux Enterprise Micro for Rancher 5.2  
    zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-834=1

## Package List:

  * openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64 i586)
    * sudo-devel-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-1.9.5p2-150300.3.33.1
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-test-1.9.5p2-150300.3.33.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64
    x86_64)
    * sudo-devel-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-1.9.5p2-150300.3.33.1
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x
    x86_64)
    * sudo-devel-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-1.9.5p2-150300.3.33.1
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64)
    * sudo-devel-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-1.9.5p2-150300.3.33.1
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1
  * SUSE Enterprise Storage 7.1 (aarch64 x86_64)
    * sudo-devel-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-1.9.5p2-150300.3.33.1
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1
  * SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64)
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
  * SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64)
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1
  * SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64)
    * sudo-debugsource-1.9.5p2-150300.3.33.1
    * sudo-debuginfo-1.9.5p2-150300.3.33.1
    * sudo-1.9.5p2-150300.3.33.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-42465.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1219026
  * https://bugzilla.suse.com/show_bug.cgi?id=1220389

SUSE: 2024:0834-1 important: sudo

March 12, 2024
* bsc#1219026 * bsc#1220389 Cross-References: * CVE-2023-42465

Summary

## This update for sudo fixes the following issues: * CVE-2023-42465: Try to make sudo less vulnerable to ROWHAMMER attacks (bsc#1219026). Fixed issues introduced by first patches for CVE-2023-42465 (bsc#1220389). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.3 zypper in -t patch SUSE-2024-834=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-834=1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-834=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-834=1 * SUSE Enterprise Storage 7.1 zypper in -t patch SUSE-Storage-7.1-2024-834=1 * SUSE Linux Enterprise Micro 5.1 zypper in -t patch SUSE-SUSE-MicroOS-5.1-2024-834=1 * SUSE Linux Enterprise Micro 5.2 zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-834=1 * SUSE Linux Enterprise Micro for Rancher 5.2 zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-834=1 ## Package List: * openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64 i586) * sudo-devel-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-1.9.5p2-150300.3.33.1 * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1 * sudo-test-1.9.5p2-150300.3.33.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64 x86_64) * sudo-devel-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-1.9.5p2-150300.3.33.1 * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x x86_64) * sudo-devel-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-1.9.5p2-150300.3.33.1 * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64) * sudo-devel-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-1.9.5p2-150300.3.33.1 * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1 * SUSE Enterprise Storage 7.1 (aarch64 x86_64) * sudo-devel-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-1.9.5p2-150300.3.33.1 * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-plugin-python-debuginfo-1.9.5p2-150300.3.33.1 * SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64) * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64) * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1 * SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64) * sudo-debugsource-1.9.5p2-150300.3.33.1 * sudo-debuginfo-1.9.5p2-150300.3.33.1 * sudo-1.9.5p2-150300.3.33.1

References

* bsc#1219026

* bsc#1220389

Cross-

* CVE-2023-42465

CVSS scores:

* CVE-2023-42465 ( SUSE ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-42465 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* openSUSE Leap 15.3

* SUSE Enterprise Storage 7.1

* SUSE Linux Enterprise High Performance Computing 15 SP3

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3

* SUSE Linux Enterprise Micro 5.1

* SUSE Linux Enterprise Micro 5.2

* SUSE Linux Enterprise Micro for Rancher 5.2

* SUSE Linux Enterprise Server 15 SP3

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3

* SUSE Linux Enterprise Server for SAP Applications 15 SP3

An update that solves one vulnerability and has one security fix can now be

installed.

##

* https://www.suse.com/security/cve/CVE-2023-42465.html

* https://bugzilla.suse.com/show_bug.cgi?id=1219026

* https://bugzilla.suse.com/show_bug.cgi?id=1220389

Severity
Announcement ID: SUSE-SU-2024:0834-1
Rating: important

Related News